#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <strings.h> // strcasecmp : insensitive case
#include "trois.h"

void afficherCandidaturesByDept(ListeCandidats liste, int nbCandidats, char* searchIUT, char* searchDept) {
    char decision[LEN_MAX], validation[LEN_MAX];
    ListeCandidatures candidatures;
    Candidature* candidature;

    for(int i=0; i<nbCandidats; i++) {
        candidatures = liste[i]->listeCandidatures;

        for(int j=0; j<liste[i]->nbCandidatures; j++) {
            candidature = candidatures[j];

            if(strcasecmp(candidature->ville, searchIUT) == 0) {
                if(strcasecmp(candidature->departement, searchDept) == 0) {
                    switch (candidature->decision) {
                        case 0:
                            strcpy(decision, "en cours de traitement");
                            break;
                        case 1:
                            strcpy(decision, "admis");
                            break;
                        case -1:
                            strcpy(decision, "refusé");
                            break;
                        case 2:
                            strcpy(decision, "sur liste d'attente");
                            break;
                        default:
                            strcpy(decision, "inconnu");
                            break;
                    }

                    switch (candidature->validation) {
                        case 0:
                            strcpy(validation, "n'a pas encore décidé");
                            break;
                        case 1:
                            strcpy(validation, "refuse la proposition");
                            break;
                        case -1:
                            strcpy(validation, "accepte");
                            break;
                        default:
                            strcpy(validation, "inconnu");
                            break;
                    }

                    printf("\n\e[4;37mCandidature de '%s %s' pour le département '%s' à l'IUT '%s' :\n\e[0m"
                            "  - Décision du département : %s,\n  - Décision du candidat : %s\n\n",
                            liste[i]->nom, liste[i]->prenom, candidature->departement, candidature->ville, decision, validation);
                }
            }
        }
    }
}